aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 19:16:16 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 19:16:16 +0000
commite78f13b34eaebb87feaca8603056216a8355d4ef (patch)
treeff262e1f5785aa8406421d4b61be11494652e5fd /unmaintained
parent5c03a6c60c77b96650e4854408bf0edff49a6526 (diff)
downloadaports-e78f13b34eaebb87feaca8603056216a8355d4ef.tar.gz
aports-e78f13b34eaebb87feaca8603056216a8355d4ef.tar.bz2
aports-e78f13b34eaebb87feaca8603056216a8355d4ef.tar.xz
testing/tir: move to unmainatained
lua-sqlite3 dep is unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/tir/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/unmaintained/tir/APKBUILD b/unmaintained/tir/APKBUILD
new file mode 100644
index 0000000000..6d7e5ce794
--- /dev/null
+++ b/unmaintained/tir/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
+# Maintainer:
+pkgname=tir
+pkgver=0.9.3
+_pkgsubver=3
+pkgrel=0
+pkgdesc="Tir web framework"
+url=http://tir.mongrel2.org/
+arch=noarch
+license=BSD
+depends="lua lua-json4 lua-md5 lua-posix lua-signal lua-sqlite3 lua-telescope lua-tnetstrings lua-zmq"
+source=${url}downloads/$pkgname-$pkgver-$_pkgsubver.tar.gz
+
+_builddir=$srcdir/$pkgname-$pkgver-$_pkgsubver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ :
+}
+
+package() {
+ cd "$_builddir"
+ local bindir=$pkgdir/usr/sbin
+ local luadir=$pkgdir/usr/share/lua/5.1
+ install -d "$bindir"
+ install -d "$luadir"
+ install bin/tir "$bindir"
+ cp -r tir "$luadir"
+}
+
+md5sums="cd21b247adee9a39e3081d8a974b6146 tir-0.9.3-3.tar.gz"